Missing Docker base images

build-image
docker

#1

The Ruby base images (https://hub.docker.com/r/circleci/ruby/), while good to have, lack many of the patch releases of Ruby.

For instance, we’d ideally need a 2.4.0-node base image, as we have projects which cannot run on 2.4.1 yet (Ruby core bugs were introduced in 2.4.1/2.3.4/2.2.7).


#2

You’re not alone in that issue - I run into that weekly. The solution is to build a custom Docker image.

I just copy/paste the templates (basic and browser) into one image, extending ruby:2.4.0 (or the version of choice).

You can also switch to Ubuntu 14.04 with this method, but you’d need to also install Ruby itself.


#3

This topic was automatically closed 41 days after the last reply. New replies are no longer allowed.